apiVersion: certmanager.k8s.io/v1alpha1
kind: ClusterIssuer
metadata:
  name: letsencrypt-prod
spec:
  acme:
    email: "{{ .certManager.leMail }}"
    server: https://acme-v02.api.letsencrypt.org/directory
    privateKeySecretRef:
      name: prod-issuer-account-key
    dns01:
      providers:
      - name: cloudflare-prod
        cloudflare:
          email: "{{ .certManager.cloudflareMail }}"
          apiKeySecretRef:
            name: cloudflare-api-key-secret
            key: service-account.json
---
apiVersion: v1
kind: Secret
metadata:
  name: cloudflare-api-key-secret
  namespace: cert-manager
type: Opaque
stringData:
  service-account.json: "{{ .certManager.cloudflareToken }}"
